package com.liquidnet.service.goblin.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 官方正在下单营销内容表
 * </p>
 *
 * @author liquidnet
 * @since 2021-12-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class GoblinMarketingZhengzai implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "mid", type = IdType.AUTO)
    private Long mid;

    /**
     * 正在下单营销id
     */
    private String zhengzaiId;

    /**
     * 官方营销表id
     */
    private String selfMarketId;

    /**
     * 商铺id
     */
    private String storeId;

    /**
     * 商品id
     */
    private String spuId;

    /**
     * 款式id
     */
    private String skuId;

    /**
     * 活动价格
     */
    private BigDecimal priceMarketing;

    /**
     * 活动库存
     */
    private Integer stockMarketing;

    /**
     * 用户限购[0-不限购|x-限购数量]
     */
    private Integer buyLimit;

    /**
     * 购买条件[0-全部用户|1-仅支持会员|2-指定用户可买]
     */
    private Integer buyType;

    private LocalDateTime createdAt;

    private LocalDateTime updatedAt;

    private String comment;


}
